#!/bin/bash
GHDL_STD="08"
GHDL_FLAGS="-v --std=$GHDL_STD --workdir=ghdl"
GHDL_FLAGS_IEEE="-v --std=$GHDL_STD --workdir=ghdl --ieee=standard"

rm -rf ghdl && mkdir ghdl
ghdl --clean $GHDL_FLAGS

echo "Import project files and build hierarchy"
ghdl -i $GHDL_FLAGS ./srcs/rtl/utils/cdc_bit.vhd
ghdl -i $GHDL_FLAGS ./srcs/rtl/utils/cdc_ce_bit.vhd
ghdl -i $GHDL_FLAGS ./srcs/rtl/utils/cdc_ce_data.vhd
ghdl -i $GHDL_FLAGS ./srcs/rtl/utils/cdc_data.vhd
ghdl -i $GHDL_FLAGS ./srcs/rtl/utils/cdc_r_data.vhd

ghdl -i $GHDL_FLAGS ./srcs/rtl/top.vhd

ghdl -i $GHDL_FLAGS ./srcs/tbs/top_tb.vhd

echo ""
echo "top_tb compile tree"
ghdl --elab-order $GHDL_FLAGS_IEEE -fsynopsys top_tb
